using System;
using System.Collections.Generic;
using System.Text;

namespace FacadePattern
{
    class CDRProcessor
    {
        private RatingEngine ratingEngine;
        private BillingSystem billingSystem;

        public CDRProcessor()
        {
            ratingEngine = new RatingEngine();
            billingSystem = new BillingSystem();
        }

        public bool Process(CDR cdr)
        {
            Console.WriteLine("Process the CDR.");
            return (ratingEngine.Rate(cdr) && billingSystem.Bill(cdr));
        }
    }
}
